#!/bin/bash
# shellcheck disable=SC1091 # Cannot resolve paths in variables

# When called from dart, the path of info.json in util.sh
# does not match because the symbolic destination is called.
PROJECT=$(basename "${PWD%/*}")

install() {
	LOCALPATH="$1"

	tar -C "$LOCALPATH" -c . |
		ssh -F ../config/ssh_config Armadillo \
			tar -C /var/app/rollback/volumes/"$PROJECT" -x
}

uninstall() {
	ssh -F ../config/ssh_config Armadillo \
		rm -rf /var/app/rollback/volumes/"$PROJECT"/*
}

run_debug() {
	ssh -F ../config/ssh_config Armadillo \
		"podman_start $PROJECT && podman attach $PROJECT"
}

case "$1" in
"install")
	shift
	install "$@"
	;;
"uninstall")
	shift
	uninstall "$@"
	;;
"runDebug")
	shift
	run_debug "$@"
	;;
esac
